> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v2/assurance/topology-client-session-details

## OpenAPI

````json POST /v2/assurance/topology-client-session-details
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v2/assurance/topology-client-session-details": {
      "post": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/v2AssuranceTopologyClientSessionDetailsPostRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v2AssuranceTopologyClientSessionDetailsPostResponse"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "v2AssuranceTopologyClientSessionDetailsPostRequest": {
        "type": "object",
        "properties": {
          "sessionId": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      },
      "v2AssuranceTopologyClientSessionDetailsPostResponse": {
        "type": "object",
        "properties": {
          "session": {
            "$ref": "#/components/schemas/assuranceClientSession"
          }
        },
        "additionalProperties": false
      },
      "assuranceClientSession": {
        "type": "object",
        "properties": {
          "appName": {
            "type": "string",
            "example": "example string"
          },
          "bucket": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "clientEndpoint": {
            "$ref": "#/components/schemas/assuranceClientSessionEndpointDetails"
          },
          "clientFlexAlgo": {
            "type": "string",
            "example": "example string"
          },
          "clientIp": {
            "type": "string",
            "example": "example string"
          },
          "clientLinks": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/assuranceClientSessionEndpointLink"
            }
          },
          "clientUsername": {
            "type": "string",
            "example": "example string"
          },
          "exchangeServiceName": {
            "type": "string",
            "example": "example string"
          },
          "firstSeenTs": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          },
          "lanSegment": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "example string"
            }
          },
          "lastSeenTs": {
            "$ref": "#/components/schemas/googleProtobufTimestamp"
          },
          "localDiaLinks": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/assuranceClientSessionDiaLink"
            }
          },
          "popLinks": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/assuranceClientSessionPopLink"
            }
          },
          "remoteDiaLinks": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/assuranceClientSessionDiaLink"
            }
          },
          "riskStatus": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "serverEndpoint": {
            "$ref": "#/components/schemas/assuranceClientSessionEndpointDetails"
          },
          "serverFlexAlgos": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "example string"
            }
          },
          "serverIp": {
            "type": "string",
            "example": "example string"
          },
          "serverLinks": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/assuranceClientSessionEndpointLink"
            }
          },
          "serverPort": {
            "type": "integer",
            "format": "int32",
            "example": 123
          },
          "sessionId": {
            "type": "string",
            "example": "example string"
          },
          "sla": {
            "type": "string",
            "example": "ENUM_VALUE"
          },
          "slaClass": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      },
      "assuranceClientSessionEndpointDetails": {
        "type": "object",
        "properties": {
          "circuits": {
            "type": "array",
            "items": {
              "type": "string",
              "example": "example string"
            }
          },
          "edges": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/assuranceEdge"
            }
          },
          "isGateway": {
            "type": "boolean",
            "example": true
          },
          "jitter": {
            "$ref": "#/components/schemas/assuranceClientSessionEndpointDetailsStatistics"
          },
          "latency": {
            "$ref": "#/components/schemas/assuranceClientSessionEndpointDetailsStatistics"
          },
          "loss": {
            "$ref": "#/components/schemas/assuranceClientSessionEndpointDetailsStatistics"
          },
          "site": {
            "$ref": "#/components/schemas/assuranceSite"
          },
          "totalDownlinkUsage": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "totalUplinkUsage": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          }
        },
        "additionalProperties": false
      },
      "assuranceClientSessionEndpointLink": {
        "type": "object",
        "properties": {
          "circuitName": {
            "type": "string",
            "example": "example string"
          },
          "jitter": {
            "type": "number",
            "format": "float",
            "example": 12.34
          },
          "latency": {
            "type": "number",
            "format": "float",
            "example": 12.34
          },
          "loss": {
            "type": "number",
            "format": "float",
            "example": 12.34
          },
          "popName": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      },
      "googleProtobufTimestamp": {
        "type": "object",
        "properties": {
          "nanos": {
            "type": "integer",
            "format": "int32",
            "example": 123
          },
          "seconds": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          }
        },
        "additionalProperties": false
      },
      "assuranceClientSessionDiaLink": {
        "type": "object",
        "properties": {
          "circuitName": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      },
      "assuranceClientSessionPopLink": {
        "type": "object",
        "properties": {
          "firstPopName": {
            "type": "string",
            "example": "example string"
          },
          "jitter": {
            "type": "number",
            "format": "float",
            "example": 12.34
          },
          "latency": {
            "type": "number",
            "format": "float",
            "example": 12.34
          },
          "loss": {
            "type": "number",
            "format": "float",
            "example": 12.34
          },
          "secondPopName": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      },
      "assuranceEdge": {
        "type": "object",
        "properties": {
          "deviceId": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "deviceName": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      },
      "assuranceClientSessionEndpointDetailsStatistics": {
        "type": "object",
        "properties": {
          "avg": {
            "type": "number",
            "format": "float",
            "example": 12.34
          },
          "max": {
            "type": "number",
            "format": "float",
            "example": 12.34
          },
          "min": {
            "type": "number",
            "format": "float",
            "example": 12.34
          }
        },
        "additionalProperties": false
      },
      "assuranceSite": {
        "type": "object",
        "properties": {
          "regionId": {
            "type": "integer",
            "format": "int32",
            "example": 123
          },
          "siteEnterpriseName": {
            "type": "string",
            "example": "example string"
          },
          "siteId": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011
          },
          "siteName": {
            "type": "string",
            "example": "example string"
          }
        },
        "additionalProperties": false
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

